<?php
/** 
* Plugin Name: WAO License Manager
* Description: Auto dispatch software keys at completed order email. 
* Version: 1.2.1 
* Author: Arturo Zubieta 
* Author URI: https://winandoffice.com/ 
* Text Domain: waolicensemanager
* WC requires at least: 3.2.0 
* WC tested up to: 3.3.0 
* License: GPL-2.0+ 
* License URI: https://www.gnu.org/licenses/gpl-2.0.txt 
*/
// Exit if accessed directly 
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
/** 
* Define constants 
*/
if ( ! defined( 'TPWCP_PLUGIN_VERSION' ) ) {
	define( 'TPWCP_PLUGIN_VERSION', '1.0.0' );
}
if ( ! defined( 'TPWCP_PLUGIN_DIR_PATH' ) ) {
	define( 'TPWCP_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
}
require( TPWCP_PLUGIN_DIR_PATH . '/classes/class-tpwcp-admin.php' );
require( TPWCP_PLUGIN_DIR_PATH . '/classes/class-waolm-admin.php' );
//require( TPWCP_PLUGIN_DIR_PATH . '/classes/class-skoe-admin.php' );
/** 
* Start the plugin. 
*/

//CLASE PARA CREAR LA PESTAÑA DE LICENSE WAO MANAGER (AUTOMATIC DISPATCH) EN LA EDICIÓN DEL PRODUCTO.
function tpwcp_init() {
    if ( is_admin() ) {
		// Create new tab
        $TPWCP = new TPWCP_Admin();
        $TPWCP->init();
		
    }
}
add_action( 'plugins_loaded', 'tpwcp_init' );

// CLASE PARA CREAR UNA CUSTOM POST TYPE WAO LICENSE MANAGER

function waolicensemanager_init() {
    if ( is_admin() ) {
		// Create new custom type
        $WAOLM = new WAOLM_Admin();
        $WAOLM->init();
		
    }
}
add_action( 'plugins_loaded', 'waolicensemanager_init' );

// CLASE PARA ENVIAR LAS LLAVES EN EL CORREO ELECTRONICO Y REGISTRA LAS MISMAS EN POST META DE LA ORDER

/*function skoe_init() {
    if ( is_admin() ) {
		// Create new custom type
        $SKOE = new SKOE_Admin();
        $SKOE->init();
		
    }
}*/
//add_action( 'plugins_loaded', 'skoe_init' );

// add_action( 'woocommerce_thankyou', 'custom_woocommerce_auto_complete_paid_order', 25, 1 );

include( 'classes/noclass-skoe-admin.php' );

function admin_style() {
echo "<style>.column-title {width:300px;}</stile>";
}
add_action('admin_enqueue_scripts', 'admin_style');

